summaryrefslogtreecommitdiffstats
path: root/fish
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2012-07-19 11:16:35 +0100
committerRichard W.M. Jones <rjones@redhat.com>2012-07-19 11:22:40 +0100
commitfc86db3b3bcd884ee37cef79e22b0324df9fcae6 (patch)
tree2f7084543a63d2f06fd2e38914703e8cd434696b /fish
parent1b94ea204d3ce9b8a114b805d2781ab0f4628d94 (diff)
downloadlibguestfs-fc86db3b3bcd884ee37cef79e22b0324df9fcae6.tar.gz
libguestfs-fc86db3b3bcd884ee37cef79e22b0324df9fcae6.tar.xz
libguestfs-fc86db3b3bcd884ee37cef79e22b0324df9fcae6.zip
build: Return 77 from skipped tests.
Diffstat (limited to 'fish')
-rwxr-xr-xfish/test-copy.sh2
-rwxr-xr-xfish/test-edit.sh2
-rwxr-xr-xfish/test-mount-local.sh4
3 files changed, 4 insertions, 4 deletions
diff --git a/fish/test-copy.sh b/fish/test-copy.sh
index 6467a52a..ca4885bf 100755
--- a/fish/test-copy.sh
+++ b/fish/test-copy.sh
@@ -23,7 +23,7 @@
test -d /dev/fd || {
echo "$0: Skipping this test because /dev/fd is missing."
- exit 0
+ exit 77
}
set -e
diff --git a/fish/test-edit.sh b/fish/test-edit.sh
index a077ada6..b9acf457 100755
--- a/fish/test-edit.sh
+++ b/fish/test-edit.sh
@@ -23,7 +23,7 @@
test -d /dev/fd || {
echo "$0: Skipping this test because /dev/fd is missing."
- exit 0
+ exit 77
}
set -e
diff --git a/fish/test-mount-local.sh b/fish/test-mount-local.sh
index c1b3f550..ad62a925 100755
--- a/fish/test-mount-local.sh
+++ b/fish/test-mount-local.sh
@@ -20,7 +20,7 @@
if [ -n "$SKIP_TEST_MOUNT_LOCAL_SH" ]; then
echo "$0: skipping test because SKIP_TEST_MOUNT_LOCAL_SH is set."
- exit 0
+ exit 77
fi
# Skip if no FUSE.
@@ -28,7 +28,7 @@ fi
test -w /dev/fuse || {
echo "$0: Skipping this test"
echo " because /dev/fuse is missing or not writable by the current user."
- exit 0
+ exit 77
}
set -e